summaryrefslogtreecommitdiffstats
path: root/build_tools/archiso-19/archiso/initcpio/hooks/archiso_pxe_nfs
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2014-10-13 17:03:13 (GMT)
committerJames Meyer <james.meyer@operamail.com>2014-10-13 17:03:13 (GMT)
commit2e7abbab92370a4a99ad68e460c476d02296e665 (patch)
tree1d6273195dd2c4f2e22d71d26a486cbfaa77052c /build_tools/archiso-19/archiso/initcpio/hooks/archiso_pxe_nfs
parent8bef8020a022c52a8d1d4bb373b5c8cdc256284f (diff)
downloadlinhes_dev-2e7abbab92370a4a99ad68e460c476d02296e665.zip
archiso-19 + configs for linhes iso.
This provides archiso-19 but doesn't install it inside the dev env.
Diffstat (limited to 'build_tools/archiso-19/archiso/initcpio/hooks/archiso_pxe_nfs')
-rw-r--r--build_tools/archiso-19/archiso/initcpio/hooks/archiso_pxe_nfs30
1 files changed, 30 insertions, 0 deletions
diff --git a/build_tools/archiso-19/archiso/initcpio/hooks/archiso_pxe_nfs b/build_tools/archiso-19/archiso/initcpio/hooks/archiso_pxe_nfs
new file mode 100644
index 0000000..67874ec
--- /dev/null
+++ b/build_tools/archiso-19/archiso/initcpio/hooks/archiso_pxe_nfs
@@ -0,0 +1,30 @@
+# vim: set ft=sh:
+
+run_hook() {
+ if [[ -n "${ip}" && -n "${archiso_nfs_srv}" ]]; then
+
+ archiso_nfs_srv=$(eval echo ${archiso_nfs_srv})
+ [[ -n "${archiso_nfs_opt}" ]] && archiso_nfs_opt="-o ${archiso_nfs_opt}"
+
+ mount_handler="archiso_nfs_mount_handler"
+ fi
+}
+
+archiso_nfs_mount_handler() {
+ newroot="${1}"
+ mkdir -p "/run/archiso/bootmnt"
+ msg ":: Mounting '${archiso_nfs_srv}'"
+ # Do not put "${archiso_nfs_opt}" nfsmount fails!
+ if ! nfsmount ${archiso_nfs_opt} "${archiso_nfs_srv}" "/run/archiso/bootmnt"; then
+ echo "ERROR: Mounting '${archiso_nfs_srv}'"
+ echo " Falling back to interactive prompt"
+ echo " You can try to fix the problem manually, log out when you are finished"
+ launch_interactive_shell
+ fi
+
+ if [[ "${copytoram}" != "n" ]]; then
+ copytoram="y"
+ fi
+
+ archiso_mount_handler ${newroot}
+}